Package org.eclipse.emf.cdo.server.lissome

## Interface ILissomeStoreAccessor

- All Superinterfaces:
    `IDurableLockingManager`, `InternalCDOBranchManager.BranchLoader`, `InternalCDOCommitInfoManager.CommitInfoLoader`, `IQueryHandlerProvider`, `IStoreAccessor`, `IStoreAccessor.DurableLocking`, `IStoreAccessor.DurableLocking2`

      public interface ILissomeStoreAccessor
      extends IStoreAccessor, IStoreAccessor.DurableLocking2

  A `store accessor` for CDO's proprietary Lissome store.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `IDurableLockingManager.LockArea, IDurableLockingManager.LockAreaAlreadyExistsException, IDurableLockingManager.LockAreaNotFoundException, IDurableLockingManager.LockGrade`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `IStoreAccessor.CommitContext, IStoreAccessor.DurableLocking, IStoreAccessor.DurableLocking2, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryXRefsContext, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ILissomeStore` | `getStore()` | Returns the store this accessor is associated with.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `createLockArea, deleteLockArea, getLockArea, getLockAreas`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

      `loadCommitData, loadCommitInfos`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `commit, createChunkReader, getSession, getTransaction, handleLobs, handleRevisions, isReader, loadLob, loadPackageUnit, queryLobs, queryResources, queryXRefs, readChangeSet, readPackageUnits, readResourceID, readRevision, readRevisionByVersion, release, rollback, write, writePackageUnits`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.DurableLocking

      `lock, unlock, unlock`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.DurableLocking2

      `createLockArea, updateLockArea`

- - ### Method Detail

    - #### getStore

          ILissomeStore getStore()

      Description copied from interface: `IStoreAccessor`
      Returns the store this accessor is associated with.
      Specified by:
        `getStore` in interface `IStoreAccessor`